org.apache.ignite.ml.selection.scoring.evaluator.aggregator

## Interface MetricStatsAggregator<L,Ctx,Self extends MetricStatsAggregator<L,Ctx,? super Self>>

- Type Parameters:
    `L` - Label class.
    `Ctx` - Context class.
    `Self` - Aggregator class.
  All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    BinaryClassificationPointwiseMetricStatsAggregator, BinaryClassificationPointwiseMetricStatsAggregator.WithCustomLabelsAggregator, ClassificationMetricsAggregator, RegressionMetricStatsAggregator

      public interface MetricStatsAggregator<L,Ctx,Self extends MetricStatsAggregator<L,Ctx,? super Self>>
      extends Serializable

  Classes with such interface are responsible for metric statistics aggregations used for metric computations over given dataset.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `aggregate(IgniteModel<Vector,L> model, LabeledVector<L> vector)` Aggregates statistics for metric computation given model and vector with answer.
    `Ctx` | `createInitializedContext()` Returns initialized context.
    `void` | `initByContext(Ctx ctx)` Inits this aggtegator by evaluation context.
    `Self` | `mergeWith(Self other)` Merges statistics of two aggregators to new aggreagator.

- - ### Method Detail

    - #### aggregate

          void aggregate(IgniteModel<Vector,L> model,
                         LabeledVector<L> vector)

      Aggregates statistics for metric computation given model and vector with answer.
      Parameters:
        `model` - Model.
        `vector` - Vector.

    - #### mergeWith

          Self mergeWith(Self other)

      Merges statistics of two aggregators to new aggreagator.
      Parameters:
        `other` - Other aggregator.
      Returns:
        New aggregator.

    - #### createInitializedContext

          Ctx createInitializedContext()

      Returns initialized context.
      Returns:
        initialized evaluation context.

    - #### initByContext

          void initByContext(Ctx ctx)

      Inits this aggtegator by evaluation context.
      Parameters:
        `ctx` - Evaluation context.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021